Replace Card

The API will be used to replace card

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header references Click here

Request Parameters

NameTypeMandatory (M), Optional (O)Description
oldKitNumberStringMKit Number of the Old Card
oldShortCardNumberStringMLast Four Digit of the Old Card
newKitNumberStringMKit Number of the New Card
newShortCardNumberStringMLast Four digit of the New Card
iPinStringMInstantpay 4 Digit Security Pin

Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/gift/replace' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "oldKitNumber" : "3**0000005",
    "oldShortCardNumber" : "0**0",
    "newKitNumber" : "31***00006",
    "newShortCardNumber" : "0**8",
    "iPin" : "**17"
}'
POST /cards/gift/replace HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "oldKitNumber" : "3**0000005",
    "oldShortCardNumber" : "0**0",
    "newKitNumber" : "31***00006",
    "newShortCardNumber" : "0**8",
    "iPin" : "**17"
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest Reference Number
orderidStringTransaction Id ( If transaction otherwise it is null )
environmentStringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Card successfully replaced",
    "data": null,
    "timestamp": "2022-02-23 16:49:56",
    "ipay_uuid": "**********-****-****-****-**********",
    "orderid": null,
    "environment": "LIVE",

}
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json